From: Lucas Rooyakkers <lucas.rooyakkers@protonmail.com>
Date: Mon, 25 Jun 2018 20:19:08 -0400
Subject: [PATCH] Compiles with boost 1.67

Bug: https://github.com/balint256/gr-baz/issues/55
Origin: https://github.com/balint256/gr-baz/pull/56
---
 lib/baz_burster.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lib/baz_burster.cc b/lib/baz_burster.cc
index 39d4d44..c0c5e4c 100644
--- a/lib/baz_burster.cc
+++ b/lib/baz_burster.cc
@@ -222,7 +222,7 @@ fprintf(stderr, "[%s<%li>] updated time\n", name().c_str(), unique_id());
 						if (d_config.sample_interval)
 							limit /= (double)d_config.sample_rate;
 						
-						if (diff >= boost::posix_time::microseconds(limit * 1e6))
+						if (diff >= boost::posix_time::microseconds(static_cast<long>(limit * 1e6)))
 						//if (d >= limit)
 						{
 //fprintf(stderr, "[%s<%i>] host elapsed %f\n", name().c_str(), unique_id(), ((float)diff.ticks() / (float)d_system_time_ticks_per_second));
